<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "data_element_product_element".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "DataElementProductElement".
 *
 * Columns in table "data_element_product_element" available as properties of the model,
 * followed by relations of table "data_element_product_element" available as properties of the model.
 *
 * @property integer $id
 * @property integer $product_element_id
 * @property integer $data_element_id
 *
 * @property DataElement $dataElement
 * @property ProductElement $productElement
 */
abstract class BaseDataElementProductElement extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'data_element_product_element';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'DataElementProductElement|DataElementProductElements', $n);
    }

    public static function representingColumn()
    {
        return 'id';
    }

    public function rules()
    {
        return array(
            array('id, product_element_id, data_element_id', 'required'),
            array('id, product_element_id, data_element_id', 'numerical', 'integerOnly'=>true),
            array('id, product_element_id, data_element_id', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'dataElement' => array(self::BELONGS_TO, 'DataElement', 'data_element_id'),
            'productElement' => array(self::BELONGS_TO, 'ProductElement', 'product_element_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'product_element_id' => null,
            'data_element_id' => null,
            'dataElement' => null,
            'productElement' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('product_element_id', $this->product_element_id);
        $criteria->compare('data_element_id', $this->data_element_id);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
